For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
      • GETGet onboarding requirements
      • GETGet onboarding requirements
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
PaymentsOnboarding requirements

Get onboarding requirements

GET
/onboarding_requirements
GET
/v1/onboarding_requirements
$curl https://api.sandbox.monite.com/v1/onboarding_requirements \
> -H "x-monite-version: 2024-05-25" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "payment_method": "payment_method",
5 "requirements": {
6 "currently_due": [
7 "currently_due"
8 ],
9 "eventually_due": [
10 "eventually_due"
11 ],
12 "past_due": [
13 "past_due"
14 ],
15 "pending_verification": [
16 "pending_verification"
17 ],
18 "current_deadline": "2024-01-15T09:30:00Z"
19 },
20 "requirements_errors": [
21 {
22 "code": "code",
23 "reason": "reason",
24 "requirement": "requirement"
25 }
26 ],
27 "verification_errors": [
28 {
29 "code": "code",
30 "details": "details"
31 }
32 ],
33 "verification_status": "enabled",
34 "disabled_reason": "disabled_reason"
35 }
36 ]
37}
Get onboarding requirements for the entity
Was this page helpful?
Previous

Get payment intents

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Response

Successful Response
datalist of objects

Errors

401
Get Onboarding Requirements Request Unauthorized Error
422
Get Onboarding Requirements Request Unprocessable Entity Error
429
Get Onboarding Requirements Request Too Many Requests Error